org.red5.io

## Interface ITagWriter

All Known Implementing Classes:
  FLVWriter

    public interface ITagWriter

Writes tags to FLV file

### Method Summary

Methods
`void` `close()` Closes a Writer
`long` `getBytesWritten()` Return the bytes written
`IStreamableFile` `getFile()` Return the file that is written.
`int` `getOffset()` Return the offset
`void` `writeHeader()` Writes the header bytes
`boolean` `writeStream(byte[] b)` Write a Stream to disk using bytes
`boolean` `writeTag(byte type, org.apache.mina.core.buffer.IoBuffer data)` Write a Tag using bytes
`boolean` `writeTag(ITag tag)` Writes a Tag object

### Method Detail

#### getFile

    IStreamableFile getFile()

Return the file that is written.

Returns:
  the File to be written

#### getOffset

    int getOffset()

Return the offset

Returns:
  Offset value

#### getBytesWritten

    long getBytesWritten()

Return the bytes written

Returns:
  Number of bytes written

#### writeHeader

    void writeHeader()
                     throws IOException

Writes the header bytes

Throws:
  `IOException` - I/O exception

#### writeTag

    boolean writeTag(ITag tag)
                     throws IOException

Writes a Tag object

Parameters:
  `tag` - Tag to write
Returns:
  `true` on success, `false` otherwise
Throws:
  `IOException` - I/O exception

#### writeTag

    boolean writeTag(byte type,
                   org.apache.mina.core.buffer.IoBuffer data)
                     throws IOException

Write a Tag using bytes

Parameters:
  `type` - Tag type
  `data` - Byte data
Returns:
  `true` on success, `false` otherwise
Throws:
  `IOException` - I/O exception

#### writeStream

    boolean writeStream(byte[] b)

Write a Stream to disk using bytes

Parameters:
  `b` - Array of bytes to write
Returns:
  `true` on success, `false` otherwise

#### close

    void close()

Closes a Writer